// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/
@import '../../../kymia/src/global.scss';

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/** Ionic CSS Variables **/
:root {
    /** primary **/
    --ion-color-primary: #51dc5eed;
    --ion-color-primary-rgb: 56, 128, 255;
    --ion-color-primary-contrast: #ffffff;
    --ion-color-primary-contrast-rgb: 255, 255, 255;
    --ion-color-primary-shade: #51dc5eed;
    --ion-color-primary-tint: #51dc5eed;

    /** primary fade **/
    --ion-color-primary-fade: #87d790;
    --ion-color-primary-fade-rgb: 135, 215, 144;
    --ion-color-primary-fade-contrast: #ffffff;
    --ion-color-primary-fade-contrast-rgb: 255, 255, 255;
    --ion-color-primary-fade-shade: #87d790;
    --ion-color-primary-fade-tint: #87d790;

    /** primary dark **/
    --ion-color-primary-dark: #d9d9d9;
    --ion-color-primary-dark-rgb: 217, 217, 217;
    --ion-color-primary-dark-contrast: #ffffff;
    --ion-color-primary-dark-contrast-rgb: 255, 255, 255;
    --ion-color-primary-dark-shade: #d9d9d9;
    --ion-color-primary-dark-tint: #d9d9d9;

    /** lime green **/
    --ion-color-lime-green: #6fbd77;
    --ion-color-lime-green-rgb: 111, 189, 119;
    --ion-color-lime-green-contrast: #000000;
    --ion-color-lime-green-contrast-rgb: 0, 0, 0;
    --ion-color-lime-green-shade: #62a669;
    --ion-color-lime-green-tint: #7dc485;

    /** lime green dark **/
    --ion-color-lime-green-dark: #288130;
    --ion-color-lime-green-dark-rgb: 40, 129, 48;
    --ion-color-lime-green-dark-contrast: #ffffff;
    --ion-color-lime-green-dark-contrast-rgb: 255, 255, 255;
    --ion-color-lime-green-dark-shade: #23722a;
    --ion-color-lime-green-dark-tint: #3e8e45;

    /** lime green darker **/
    --ion-color-lime-green-darker: #097e14;
    --ion-color-lime-green-darker-rgb: 9, 126, 20;
    --ion-color-lime-green-darker-contrast: #ffffff;
    --ion-color-lime-green-darker-contrast-rgb: 255, 255, 255;
    --ion-color-lime-green-darker-shade: #086f12;
    --ion-color-lime-green-darker-tint: #228b2c;

    /** primary light **/
    --ion-color-primary-light: #6fbd77;
    --ion-color-primary-light-rgb: 111, 189, 119;
    --ion-color-primary-light-contrast: #ffffff;
    --ion-color-primary-light-contrast-rgb: 255, 255, 255;
    --ion-color-primary-light-shade: #6fbd77;
    --ion-color-primary-light-tint: #6fbd77;

    /** green dark **/
    --ion-color-green-dark: #0b5a12;
    --ion-color-green-dark-rgb: 50, 116, 57;
    --ion-color-green-dark-contrast: #ffffff;
    --ion-color-green-dark-contrast-rgb: 255, 255, 255;
    --ion-color-green-dark-shade: #0b5a12;
    --ion-color-green-dark-tint: #0b5a12;

    /** green-dark

    /** green-dove **/
    --ion-color-green-dove: #6fbd77;
    --ion-color-green-dove-rgb: 111, 189, 119;
    --ion-color-green-dove-contrast: #ffffff;
    --ion-color-green-dove-contrast-rgb: 255, 255, 255;
    --ion-color-green-dove-shade: #6fbd77;
    --ion-color-green-dove-tint: #6fbd77;

    /** green **/
    --ion-color-green: #327439;
    --ion-color-green-rgb: 11, 90, 18;
    --ion-color-green-contrast: #ffffff;
    --ion-color-green-contrast-rgb: 255, 255, 255;
    --ion-color-green-shade: #327439;
    --ion-color-green-tint: #327439;

    /** green-light **/
    --ion-color-green-light: #92c45a;
    --ion-color-green-light-rgb: 11, 90, 18;
    --ion-color-green-light-contrast: #ffffff;
    --ion-color-green-light-contrast-rgb: 255, 255, 255;
    --ion-color-green-light-shade: #92c45a;
    --ion-color-green-light-tint: #92c45a;

    /** blue-pale **/
    --ion-color-blue-pale: #ccedff;
    --ion-color-blue-pale-rgb: 204, 237, 255;
    --ion-color-blue-pale-contrast: #000000;
    --ion-color-blue-pale-contrast-rgb: 0, 0, 0;
    --ion-color-blue-pale-shade: #ccedff;
    --ion-color-blue-pale-tint: #ccedff;

    /** green-light-thin **/
    --ion-color-green-light-thin: #b4dbb8;
    --ion-color-green-light-thin-rgb: 180, 219, 184;
    --ion-color-green-light-thin-contrast: #000000;
    --ion-color-green-light-thin-contrast-rgb: 0, 0, 0;
    --ion-color-green-light-thin-shade: #b4dbb8;
    --ion-color-green-light-thin-tint: #b4dbb8;

    /** blue dark **/
    --ion-color-blue-dark: #1a4575;
    --ion-color-blue-dark-rgb: 26, 69, 117;
    --ion-color-blue-dark-contrast: #ffffff;
    --ion-color-blue-dark-contrast-rgb: 255, 255, 255;
    --ion-color-blue-dark-shade: #1a4575;
    --ion-color-blue-dark-tint: #1a4575;

    /** gray **/
    --ion-color-gray: #eaeaea;
    --ion-color-gray-rgb: 234, 234, 234;
    --ion-color-gray-contrast: #ffffff;
    --ion-color-gray-contrast-rgb: 255, 255, 255;
    --ion-color-gray-shade: #eaeaea;
    --ion-color-gray-tint: #eaeaea;

    /** Dove gray **/
    --ion-color-dove-gray: #736d6d;
    --ion-color-dove-gray-rgb: 115, 115, 109;
    --ion-color-dove-gray-contrast: #ffffff;
    --ion-color-dove-gray-contrast-rgb: 255, 235, 237;
    --ion-color-dove-gray-shade: #736d6d;
    --ion-color-dove-gray-tint: #736d6d;

    /** pale-grey-thin **/
    --ion-color-pale-grey-thin: #9d9898;
    --ion-color-pale-grey-thin-rgb: 157, 152, 152;
    --ion-color-pale-grey-thin-contrast: #ffffff;
    --ion-color-pale-grey-thin-contrast-rgb: 255, 255, 255;
    --ion-color-pale-grey-thin-shade: #9d9898;
    --ion-color-pale-grey-thin-tint: #9d9898;

    /** grey-light **/
    --ion-color-grey-light: #fafafa;
    --ion-color-grey-light-rgb: 157, 152, 152;
    --ion-color-grey-light-contrast: #000;
    --ion-color-grey-light-contrast-rgb: 0, 0, 0;
    --ion-color-grey-light-shade: #fafafa;
    --ion-color-grey-light-tint: #fafafa;

    /** grey**/
    --ion-color-grey: #bcc6bded;
    --ion-color-grey-rgb: 188, 198, 189;
    --ion-color-grey-contrast: #ffffff;
    --ion-color-grey-contrast-rgb: 255, 255, 255;
    --ion-color-grey-shade: #bcc6bded;
    --ion-color-grey-tint: #bcc6bded;

    /** grey-dark**/
    --ion-color-grey-dark: #f4f4f4;
    --ion-color-grey-dark-rgb: 244, 244, 244;
    --ion-color-grey-dark-contrast: #ffffff;
    --ion-color-grey-dark-contrast-rgb: 255, 255, 255;
    --ion-color-grey-dark-shade: #f4f4f4;
    --ion-color-grey-dark-tint: #f4f4f4;

    /** grey dark lighter **/
    --ion-color-grey-dark-lighter: #bab5b5;
    --ion-color-grey-dark-lighter-rgb: 186, 181, 181;
    --ion-color-grey-dark-lighter-contrast: #000000;
    --ion-color-grey-dark-lighter-contrast-rgb: 0, 0, 0;
    --ion-color-grey-dark-lighter-shade: #a49f9f;
    --ion-color-grey-dark-lighter-tint: #c1bcbc;

    /** grey-black**/
    --ion-color-grey-black: #8d8989;
    --ion-color-grey-black-rgb: 246, 246, 246;
    --ion-color-grey-black-contrast: #ffffff;
    --ion-color-grey-black-contrast-rgb: 255, 255, 255;
    --ion-color-grey-black-shade: #8d8989;
    --ion-color-grey-black-tint: #8d8989;

    /** grey-black-thin**/
    --ion-color-grey-black-thin: #464555;
    --ion-color-grey-black-thin-rgb: 246, 246, 246;
    --ion-color-grey-black-thin-contrast: #ffffff;
    --ion-color-grey-black-thin-contrast-rgb: 255, 255, 255;
    --ion-color-grey-black-thin-shade: #464555;
    --ion-color-grey-black-thin-tint: #464555;

    /** Dove grey **/
    --ion-color-dove-grey: #c3c3c3;
    --ion-color-dove-grey-rgb: 195, 195, 195;
    --ion-color-dove-grey-contrast: #ffffff;
    --ion-color-dove-grey-contrast-rgb: 255, 235, 237;
    --ion-color-dove-grey-shade: #c3c3c3;
    --ion-color-dove-grey-tint: #c3c3c3;

    /** secondary **/
    --ion-color-secondary: #3dc2ff;
    --ion-color-secondary-rgb: 61, 194, 255;
    --ion-color-secondary-contrast: #ffffff;
    --ion-color-secondary-contrast-rgb: 255, 255, 255;
    --ion-color-secondary-shade: #36abe0;
    --ion-color-secondary-tint: #50c8ff;

    /** tertiary **/
    --ion-color-tertiary: #5260ff;
    --ion-color-tertiary-rgb: 82, 96, 255;
    --ion-color-tertiary-contrast: #ffffff;
    --ion-color-tertiary-contrast-rgb: 255, 255, 255;
    --ion-color-tertiary-shade: #4854e0;
    --ion-color-tertiary-tint: #6370ff;

    /** success **/
    --ion-color-success: #2dd36f;
    --ion-color-success-rgb: 45, 211, 111;
    --ion-color-success-contrast: #ffffff;
    --ion-color-success-contrast-rgb: 255, 255, 255;
    --ion-color-success-shade: #28ba62;
    --ion-color-success-tint: #42d77d;

    /** warning **/
    --ion-color-warning: #ffc409;
    --ion-color-warning-rgb: 255, 196, 9;
    --ion-color-warning-contrast: #000000;
    --ion-color-warning-contrast-rgb: 0, 0, 0;
    --ion-color-warning-shade: #e0ac08;
    --ion-color-warning-tint: #ffca22;

    /** danger **/
    --ion-color-danger: #ff4545;
    --ion-color-danger-rgb: 255, 69, 69;
    --ion-color-danger-contrast: #ffffff;
    --ion-color-danger-contrast-rgb: 255, 255, 255;
    --ion-color-danger-shade: #cf3c4f;
    --ion-color-danger-tint: #ed576b;

    /** danger-light **/
    --ion-color-danger-light: #e92d2d;
    --ion-color-danger-light-rgb: 233, 45, 45;
    --ion-color-danger-light-contrast: #ffffff;
    --ion-color-danger-light-contrast-rgb: 255, 255, 255;
    --ion-color-danger-light-shade: #cf3c4f;
    --ion-color-danger-light-tint: #e92d2d;

    /** red **/
    --ion-color-red: #ff0000;
    --ion-color-red-rgb: 255, 0, 0;
    --ion-color-red-contrast: #ffffff;
    --ion-color-red-contrast-rgb: 255, 255, 255;
    --ion-color-red-shade: #d40000;
    --ion-color-red-tint: #ff0000;

    /** dark **/
    --ion-color-dark: #000;
    --ion-color-dark-rgb: 34, 36, 40;
    --ion-color-dark-contrast: #ffffff;
    --ion-color-dark-contrast-rgb: 255, 255, 255;
    --ion-color-dark-shade: #1e2023;
    --ion-color-dark-tint: #979797e6;

    /** dark-medium **/
    --ion-color-dark-medium: #404040;
    --ion-color-dark-medium-rgb: 64, 64, 64;
    --ion-color-dark-medium-contrast: #ffffff;
    --ion-color-dark-medium-contrast-rgb: 255, 255, 255;
    --ion-color-dark-medium-shade: #404040;
    --ion-color-dark-medium-tint: #404040;

    /** dove-dark **/
    --ion-color-dove-dark: #343434;
    --ion-color-dove-dark-rgb: 52, 52, 52;
    --ion-color-dove-dark-contrast: #ffffff;
    --ion-color-dove-dark-contrast-rgb: 255, 255, 255;
    --ion-color-dove-dark-shade: #343434;
    --ion-color-dove-dark-tint: #343434;

    /** medium **/
    --ion-color-medium: #92949c;
    --ion-color-medium-rgb: 146, 148, 156;
    --ion-color-medium-contrast: #ffffff;
    --ion-color-medium-contrast-rgb: 255, 255, 255;
    --ion-color-medium-shade: #808289;
    --ion-color-medium-tint: #9d9fa6;

    /** sliver **/
    --ion-color-silver: #bbbaba;
    --ion-color-silver-rgb: 146, 148, 156;
    --ion-color-silver-contrast: #ffffff;
    --ion-color-silver-contrast-rgb: 255, 255, 255;
    --ion-color-silver-shade: #808289;
    --ion-color-silver-tint: #9d9fa6;

    /** light **/
    --ion-color-light: #f4f5f8;
    --ion-color-light-rgb: 169, 165, 165;
    --ion-color-light-contrast: #000000;
    --ion-color-light-contrast-rgb: 0, 0, 0;
    --ion-color-light-shade: #d7d8da;
    --ion-color-light-tint: #f5f6f9;

    /** light-dark **/
    --ion-color-light-dark: #a9a5a5;
    --ion-color-light-dark-rgb: 169, 165, 165;
    --ion-color-light-dark-contrast: #000000;
    --ion-color-light-dark-contrast-rgb: 0, 0, 0;
    --ion-color-light-dark-shade: #d7d8da;
    --ion-color-light-dark-tint: #f5f6f9;

    /** gray **/
    --ion-color-gray: #d5d5d5;
    --ion-color-gray-rgb: 213, 213, 213;
    --ion-color-gray-contrast: #000000;
    --ion-color-gray-contrast-rgb: 0, 0, 0;
    --ion-color-gray-shade: #d5d5d5;
    --ion-color-gray-tint: #d5d5d5;

    /** white **/
    --ion-color-white: #ffff;
    --ion-color-white-rgb: 255, 255, 255;
    --ion-color-white-contrast: #000000;
    --ion-color-white-contrast-rgb: 0, 0, 0;
    --ion-color-white-shade: #e0e0e0;
    --ion-color-white-tint: #ffffff;

    --ion-text-primary: 'Poppins';
    --ion-text-secondary: 'Roboto';
    --ion-font-family: 'Poppins';

    /** Sea Green **/
    --ion-color-sea-green: #75d17f;
    --ion-color-sea-green-rgb: 117, 209, 127;
    --ion-color-sea-green-contrast: #ffffff;
    --ion-color-sea-green-contrast-rgb: 255, 255, 255;
    --ion-color-sea-green-shade: #75d17f;
    --ion-color-sea-green-tint: #75d17f;

    /** blue-light **/
    --ion-color-blue-light: #069fe0;
    --ion-color-blue-light-rgb: 6, 159, 224;
    --ion-color-blue-light-contrast: #010101;
    --ion-color-blue-light-contrast-rgb: 255, 255, 255;
    --ion-color-blue-light-shade: #069fe0;
    --ion-color-blue-light-tint: #069fe0;

    /** pale-grey **/
    --ion-color-pale-grey: #e0e0e0;
    --ion-color-pale-grey-rgb: 10, 10, 10;
    --ion-color-pale-grey-contrast: #ffffff;
    --ion-color-pale-grey-contrast-rgb: 255, 255, 255;
    --ion-color-pale-grey-shade: #e0e0e0;
    --ion-color-pale-grey-tint: #e0e0e0;

    /** pale-grey-light **/
    --ion-color-pale-grey-light: #f4f4f4;
    --ion-color-pale-grey-light-rgb: 244, 244, 244;
    --ion-color-pale-grey-light-contrast: #000000;
    --ion-color-pale-grey-light-contrast-rgb: 0, 0, 0;
    --ion-color-pale-grey-light-shade: #d7d8da;
    --ion-color-pale-grey-light-tint: #f5f6f9;

    /** pale-grey-dark **/
    --ion-color-pale-grey-dark: #faf9fa;
    --ion-color-pale-grey-dark-rgb: 250, 249, 250;
    --ion-color-pale-grey-dark-contrast: #000000;
    --ion-color-pale-grey-dark-contrast-rgb: 0, 0, 0;
    --ion-color-pale-grey-dark-shade: #d7d8da;
    --ion-color-pale-grey-dark-tint: #f5f6f9;

    /** dark-light **/
    --ion-color-dark-light: #261f1f;
    --ion-color-dark-light-rgb: 34, 36, 40;
    --ion-color-dark-light-contrast: #ffffff;
    --ion-color-dark-light-contrast-rgb: 255, 255, 255;
    --ion-color-dark-light-shade: #1e2023;
    --ion-color-dark-light-tint: #383a3e;

    /** black **/
    --ion-color-black: #151515e6;
    --ion-color-black-rgb: 15, 15, 15;
    --ion-color-black-contrast: #ffffff;
    --ion-color-black-contrast-rgb: 255, 255, 255;
    --ion-color-black-shade: #151515e6;
    --ion-color-black-tint: #151515e6;

    /** black-light **/
    --ion-color-black-light: #0a0a0a;
    --ion-color-black-light-rgb: 10, 10, 10;
    --ion-color-black-light-contrast: #ffffff;
    --ion-color-black-light-contrast-rgb: 255, 255, 255;
    --ion-color-black-light-shade: #0a0a0a;
    --ion-color-black-light-tint: #0a0a0a;

    /** light-gray **/
    --ion-color-light-gray: #f6f6f6;
    --ion-color-light-gray-rgb: 10, 10, 10;
    --ion-color-light-gray-contrast: #ffffff;
    --ion-color-light-gray-contrast-rgb: 255, 255, 255;
    --ion-color-light-gray-shade: #f6f6f6;
    --ion-color-light-gray-tint: #f6f6f6;

    /** Pink **/
    --ion-color-pink: #ffebed;
    --ion-color-pink-rgb: 255, 235, 237;
    --ion-color-pink-contrast: #ffffff;
    --ion-color-pink-contrast-rgb: 255, 235, 237;
    --ion-color-pink-shade: #ffebed;
    --ion-color-pink-tint: #ffebed;

    /** bright-red **/
    --ion-color-bright-red: #d40000;
    --ion-color-bright-red-rgb: 255, 235, 237;
    --ion-color-bright-red-contrast: #ffffff;
    --ion-color-bright-red-contrast-rgb: 255, 235, 237;
    --ion-color-bright-red-shade: #d40000;
    --ion-color-bright-red-tint: #d40000;
    /** light-grey **/
    --ion-color-light-grey: #ededed;
    --ion-color-light-grey-rgb: 10, 10, 10;
    --ion-color-light-grey-contrast: #ffffff;
    --ion-color-light-grey-contrast-rgb: 237, 237, 237;
    --ion-color-light-grey-shade: #ededed;
    --ion-color-light-grey-tint: #ededed;

    /** bright-green **/
    --ion-color-bright-green: #00d43b;
    --ion-color-bright-green-rgb: 10, 10, 10;
    --ion-color-bright-green-contrast: #ffffff;
    --ion-color-bright-green-contrast-rgb: 0, 212, 59;
    --ion-color-bright-green-shade: #00d43b;
    --ion-color-bright-green-tint: #00d43b;

    /** Silver Dark **/
    --ion-color-silver-dark: #a9a5a5;
    --ion-color-silver-dark-rgb: 169, 165, 165;
    --ion-color-silver-dark-contrast: #ffffff;
    --ion-color-silver-dark-contrast-rgb: 255, 235, 237;
    --ion-color-silver-dark-shade: #a9a5a5;
    --ion-color-silver-dark-tint: #a9a5a5;

    /** Alto **/
    --ion-color-alto: #d9d9d9;
    --ion-color-alto-rgb: 217, 217, 217;
    --ion-color-alto-contrast: #ffffff;
    --ion-color-alto-contrast-rgb: 255, 235, 237;
    --ion-color-alto-shade: #d9d9d9;
    --ion-color-alto-tint: #d9d9d9;

    /** Pale Stone **/
    --ion-color-pale-stone: #bbbaba;
    --ion-color-pale-stone-rgb: 187, 186, 186;
    --ion-color-pale-stone-contrast: #ffffff;
    --ion-color-pale-stone-contrast-rgb: 255, 235, 237;
    --ion-color-pale-stone-shade: #bbbaba;
    --ion-color-pale-stone-tint: #bbbaba;

    /** Green Light **/
    --ion-color-green-light: #00d43b;
    --ion-color-green-light-rgb: 0, 212, 59;
    --ion-color-green-light-contrast: #ffffff;
    --ion-color-green-light-contrast-rgb: 255, 235, 237;
    --ion-color-green-light-shade: #00d43b;
    --ion-color-green-light-tint: #00d43b;

    /** Fern **/
    --ion-color-fern: #6fbd77;
    --ion-color-fern-rgb: 111, 189, 119;
    --ion-color-fern-contrast: #ffffff;
    --ion-color-fern-contrast-rgb: 255, 235, 237;
    --ion-color-fern-shade: #6fbd77;
    --ion-color-fern-tint: #6fbd77;

    /** Blue **/
    --ion-color-blue: #4047f0;
    --ion-color-blue-rgb: 64, 71, 240;
    --ion-color-blue-contrast: #ffffff;
    --ion-color-blue-contrast-rgb: 255, 235, 237;
    --ion-color-blue-shade: #4047f0;
    --ion-color-blue-tint: #4047f0;

    /** Grey Lighter **/
    --ion-color-grey-lighter: #979797;
    --ion-color-grey-lighter-rgb: 64, 71, 240;
    --ion-color-grey-lighter-contrast: #ffffff;
    --ion-color-grey-lighter-contrast-rgb: 255, 235, 237;
    --ion-color-grey-lighter-shade: #979797;
    --ion-color-grey-lighter-tint: #979797;

    /** Grey Thin **/
    --ion-color-grey-thin: #804c880d;
    --ion-color-grey-thin-rgb: 128, 76, 136;
    --ion-color-grey-thin-contrast: #ffffff;
    --ion-color-grey-thin-contrast-rgb: 255, 235, 237;
    --ion-color-grey-thin-shade: #804c880d;
    --ion-color-grey-thin-tint: #804c880d;

    /** black-thin **/
    --ion-color-black-thin: #0f0f0f;
    --ion-color-black-thin-rgb: 15, 15, 15;
    --ion-color-black-thin-contrast: #ffffff;
    --ion-color-black-thin-contrast-rgb: 255, 255, 255;
    --ion-color-black-thin-shade: #0f0f0f;
    --ion-color-black-thin-tint: #0f0f0f;

    /** spring-green **/
    --ion-color-spring-green: #68e174;
    --ion-color-spring-green-rgb: 104, 225, 116;
    --ion-color-spring-green-contrast: #000000;
    --ion-color-spring-green-contrast-rgb: 0, 0, 0;
    --ion-color-spring-green-shade: #68e174;
    --ion-color-spring-green-tint: #68e174;
}

.ion-color-black-thin {
    --ion-color-base: var(--ion-color-black-thin);
    --ion-color-base-rgb: var(--ion-color-black-thin-rgb);
    --ion-color-contrast: var(--ion-color-black-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-black-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-black-thin-shade);
    --ion-color-tint: var(--ion-color-black-thin-tint);
}

.ion-color-primary-fade {
    --ion-color-base: var(--ion-color-primary-fade);
    --ion-color-base-rgb: var(--ion-color-primary-fade-rgb);
    --ion-color-contrast: var(--ion-color-primary-fade-contrast);
    --ion-color-contrast-rgb: var(--ion-color-primary-fade-contrast-rgb);
    --ion-color-shade: var(--ion-color-primary-fade-shade);
    --ion-color-tint: var(--ion-color-primary-fade-tint);
}

.ion-color-dove-dark {
    --ion-color-base: var(--ion-color-dove-dark);
    --ion-color-base-rgb: var(--ion-color-dove-dark-rgb);
    --ion-color-contrast: var(--ion-color-dove-dark-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-dark-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-dark-shade);
    --ion-color-tint: var(--ion-color-dove-dark-tint);
}

.ion-color-white {
    --ion-color-base: var(--ion-color-white);
    --ion-color-base-rgb: var(--ion-color-white-rgb);
    --ion-color-contrast: var(--ion-color-white-contrast);
    --ion-color-contrast-rgb: var(--ion-color-white-contrast-rgb);
    --ion-color-shade: var(--ion-color-white-shade);
    --ion-color-tint: var(--ion-color-white-tint);
}

.ion-color-dove-grey {
    --ion-color-base: var(--ion-color-dove-grey);
    --ion-color-base-rgb: var(--ion-color-dove-grey-rgb);
    --ion-color-contrast: var(--ion-color-dove-grey-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-grey-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-grey-shade);
    --ion-color-tint: var(--ion-color-dove-grey-tint);
}

.ion-color-blue {
    --ion-color-base: var(--ion-color-blue);
    --ion-color-base-rgb: var(--ion-color-blue-rgb);
    --ion-color-contrast: var(--ion-color-blue-contrast);
    --ion-color-contrast-rgb: var(--ion-color-blue-contrast-rgb);
    --ion-color-shade: var(--ion-color-blue-shade);
    --ion-color-tint: var(--ion-color-blue-tint);
}

.ion-color-blue-light {
    --ion-color-base: var(--ion-color-blue-light);
    --ion-color-base-rgb: var(--ion-color-blue-light-rgb);
    --ion-color-contrast: var(--ion-color-blue-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-blue-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-blue-light-shade);
    --ion-color-tint: var(--ion-color-blue-light-tint);
}

.ion-color-sea-green {
    --ion-color-base: var(--ion-color-sea-green);
    --ion-color-base-rgb: var(--ion-color-sea-green-rgb);
    --ion-color-contrast: var(--ion-color-sea-green-contrast);
    --ion-color-contrast-rgb: var(--ion-color-sea-green-contrast-rgb);
    --ion-color-shade: var(--ion-color-sea-green-shade);
    --ion-color-tint: var(--ion-color-sea-green-tint);
}

.ion-color-grey-black-thin {
    --ion-color-base: var(--ion-color-grey-black-thin);
    --ion-color-base-rgb: var(--ion-color-grey-black-thin-rgb);
    --ion-color-contrast: var(--ion-color-grey-black-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-black-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-black-thin-shade);
    --ion-color-tint: var(--ion-color-grey-black-thin-tint);
}

.ion-color-bright-red {
    --ion-color-base: var(--ion-color-bright-red);
    --ion-color-base-rgb: var(--ion-color-bright-red-rgb);
    --ion-color-contrast: var(--ion-color-bright-red-contrast);
    --ion-color-contrast-rgb: var(--ion-color-bright-red-contrast-rgb);
    --ion-color-shade: var(--ion-color-bright-red-shade);
    --ion-color-tint: var(--ion-color-bright-red-tint);
}

.ion-color-grey-light {
    --ion-color-base: var(--ion-color-grey-light);
    --ion-color-base-rgb: var(--ion-color-grey-light-rgb);
    --ion-color-contrast: var(--ion-color-grey-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-light-shade);
    --ion-color-tint: var(--ion-color-grey-light-tint);
}
.ion-color-grey-black {
    --ion-color-base: var(--ion-color-grey-black);
    --ion-color-base-rgb: var(--ion-color-grey-black-rgb);
    --ion-color-contrast: var(--ion-color-grey-black-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-black-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-black-shade);
    --ion-color-tint: var(--ion-color-grey-black-tint);
}

.ion-color-grey-lighter {
    --ion-color-base: var(--ion-color-grey-lighter);
    --ion-color-base-rgb: var(--ion-color-grey-lighter-rgb);
    --ion-color-contrast: var(--ion-color-grey-lighter-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-lighter-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-lighter-shade);
    --ion-color-tint: var(--ion-color-grey-lighter-tint);
}

.ion-color-dove-gray {
    --ion-color-base: var(--ion-color-dove-gray);
    --ion-color-base-rgb: var(--ion-color-dove-gray-rgb);
    --ion-color-contrast: var(--ion-color-dove-gray-contrast);
    --ion-color-contrast-rgb: var(--ion-color-dove-gray-contrast-rgb);
    --ion-color-shade: var(--ion-color-dove-gray-shade);
    --ion-color-tint: var(--ion-color-dove-gray-tint);
}

.ion-color-pale-grey-thin {
    --ion-color-base: var(--ion-color-pale-grey-thin);
    --ion-color-base-rgb: var(--ion-color-pale-grey-thin-rgb);
    --ion-color-contrast: var(--ion-color-pale-grey-thin-contrast);
    --ion-color-contrast-rgb: var(--ion-color-pale-grey-thin-contrast-rgb);
    --ion-color-shade: var(--ion-color-pale-grey-thin-shade);
    --ion-color-tint: var(--ion-color-pale-grey-thin-tint);
}

.ion-color-grey {
    --ion-color-base: var(--ion-color-grey);
    --ion-color-base-rgb: var(--ion-color-grey-rgb);
    --ion-color-contrast: var(--ion-color-grey-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-shade);
    --ion-color-tint: var(--ion-color-grey-tint);
}

.ion-color-silver {
    --ion-color-base: var(--ion-color-silver);
    --ion-color-base-rgb: var(--ion-color-silver-rgb);
    --ion-color-contrast: var(--ion-color-silver-contrast);
    --ion-color-contrast-rgb: var(--ion-color-silver-contrast-rgb);
    --ion-color-shade: var(--ion-color-silver-shade);
    --ion-color-tint: var(--ion-color-silver-tint);
}

.ion-color-silver-dark {
    --ion-color-base: var(--ion-color-silver-dark);
    --ion-color-base-rgb: var(--ion-color-silver-dark-rgb);
    --ion-color-contrast: var(--ion-color-silver-dark-contrast);
    --ion-color-contrast-rgb: var(--ion-color-silver-dark-contrast-rgb);
    --ion-color-shade: var(--ion-color-silver-dark-shade);
    --ion-color-tint: var(--ion-color-silver-dark-tint);
}

.ion-color-pale-stone {
    --ion-color-base: var(--ion-color-pale-stone);
    --ion-color-base-rgb: var(--ion-color-pale-stone-rgb);
    --ion-color-contrast: var(--ion-color-pale-stone-contrast);
    --ion-color-contrast-rgb: var(--ion-color-pale-stone-contrast-rgb);
    --ion-color-shade: var(--ion-color-pale-stone-shade);
    --ion-color-tint: var(--ion-color-pale-stone-tint);
}

.ion-color-green-light {
    --ion-color-base: var(--ion-color-green-light);
    --ion-color-base-rgb: var(--ion-color-green-light-rgb);
    --ion-color-contrast: var(--ion-color-green-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-green-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-green-light-shade);
    --ion-color-tint: var(--ion-color-green-light-tint);
}

.ion-color-fern {
    --ion-color-base: var(--ion-color-fern);
    --ion-color-base-rgb: var(--ion-color-fern-rgb);
    --ion-color-contrast: var(--ion-color-fern-contrast);
    --ion-color-contrast-rgb: var(--ion-color-fern-contrast-rgb);
    --ion-color-shade: var(--ion-color-fern-shade);
    --ion-color-tint: var(--ion-color-fern-tint);
}

.ion-color-alto {
    --ion-color-base: var(--ion-color-alto);
    --ion-color-base-rgb: var(--ion-color-alto-rgb);
    --ion-color-contrast: var(--ion-color-alto-contrast);
    --ion-color-contrast-rgb: var(--ion-color-alto-contrast-rgb);
    --ion-color-shade: var(--ion-color-alto-shade);
    --ion-color-tint: var(--ion-color-alto-tint);
}

.ion-color-lime-green-darker {
    --ion-color-base: var(--ion-color-lime-green-darker);
    --ion-color-base-rgb: var(--ion-color-lime-green-darker-rgb);
    --ion-color-contrast: var(--ion-color-lime-green-darker-contrast);
    --ion-color-contrast-rgb: var(--ion-color-lime-green-darker-contrast-rgb);
    --ion-color-shade: var(--ion-color-lime-green-darker-shade);
    --ion-color-tint: var(--ion-color-lime-green-darker-tint);
}

.ion-color-warning {
    --ion-color-base: var(--ion-color-warning);
    --ion-color-base-rgb: var(--ion-color-warning-rgb);
    --ion-color-contrast: var(--ion-color-warning-contrast);
    --ion-color-contrast-rgb: var(--ion-color-warning-contrast-rgb);
    --ion-color-shade: var(--ion-color-warning-shade);
    --ion-color-tint: var(--ion-color-warning-tint);
}

.ion-color-lime-green {
    --ion-color-base: var(--ion-color-lime-green);
    --ion-color-base-rgb: var(--ion-color-lime-green-rgb);
    --ion-color-contrast: var(--ion-color-lime-green-contrast);
    --ion-color-contrast-rgb: var(--ion-color-lime-green-contrast-rgb);
    --ion-color-shade: var(--ion-color-lime-green-shade);
    --ion-color-tint: var(--ion-color-lime-green-tint);
}

.ion-color-grey-dark-lighter {
    --ion-color-base: var(--ion-color-grey-dark-lighter);
    --ion-color-base-rgb: var(--ion-color-grey-dark-lighter-rgb);
    --ion-color-contrast: var(--ion-color-grey-dark-lighter-contrast);
    --ion-color-contrast-rgb: var(--ion-color-grey-dark-lighter-contrast-rgb);
    --ion-color-shade: var(--ion-color-grey-dark-lighter-shade);
    --ion-color-tint: var(--ion-color-grey-dark-lighter-tint);
}

.ion-color-black-light {
    --ion-color-base: var(--ion-color-black-light);
    --ion-color-base-rgb: var(--ion-color-black-light-rgb);
    --ion-color-contrast: var(--ion-color-black-light-contrast);
    --ion-color-contrast-rgb: var(--ion-color-black-light-contrast-rgb);
    --ion-color-shade: var(--ion-color-black-light-shade);
    --ion-color-tint: var(--ion-color-black-light-tint);
}
